let NotificacionesController = {
	notificaciones: null,
	arrayDelMult: [],

	resetData() {
		let self = this;

		self.notificaciones = null;
		self.arrayDelMult = [];
	},

	setEvents() {
		let self = this;
		self.resetData();

		// Reducción de Header
		headerSectionHeight(0);

		// Añadir titulo
		$('#page-title').text(pf.const.language.RSC11);

		// Opciones de header
		let jsonsubopt = {
			new: 'newNotif'
		};

		let nav = `
			${createSubOptionNew(jsonsubopt.new)}
		`;

		// Acciones de página (flex-row-reverse)s
		$('#page-actions').html(nav);

		$('#newNotif svg').css('width', '24px');
		$('#newNotif svg').css('height', '24px');

		// Botón principal
		$('#newNotif').addClass('main-button');

		self.loadLanguage();

		// Obtener notificaciones
		self.getNotifications();

		// Nueva notificacion
		$('#newNotif').click(function() {
			window.location.href = '#!notificaciones/nueva';
		});

		// Collapse
		addEventArrowTableHeader();
	},

	loadLanguage() {
		pf.rsc.translateByTag('text');

		// TITLES
		$('.deleteMultTitle').attr('title', pf.const.language.RSC95);
	},

	getNotifications() {
		let notifications = new TableNotifications();
		notifications.setEvents();
	}
};